function isValidHttpUrl(string) {
  let url;

  try {
    url = new URL(string);
  } catch (_) {
    return false;
  }

  return url.protocol === "http:" || url.protocol === "https:";
}

function messageComposeElement(that) {
  if ($(that).closest("c-wiz").find(".quote-preview").hasClass("active")) {
    $(that).prepend(
      "```" +
        getQuotedMessage(
          getCOMPOSEBOX(that).closest("c-wiz").find(".quote-preview .message")
        ) +
        "```\n"
    );

    $(that).closest("c-wiz").find(".quote-preview").removeClass("active");
  }

  try {
    let taggedMessage = $(".T2Ybvb").html();

    if (taggedMessage.includes(`<code class="code-wrapper">`)) {
      $(".T2Ybvb").html(
        taggedMessage
          .replaceAll(`<code class="code-wrapper">`, "`")
          .replaceAll("</code>", " `")
      );
    }

    if (taggedMessage.includes(`<pre class="pre-wrapper">`)) {
      $(".T2Ybvb").html(
        taggedMessage
          .replaceAll(`<pre class="pre-wrapper">`, "```")
          .replaceAll("</pre>", "```")
      );
    }
  } catch (error) {}
}

function bindEventToMessageComposeElement() {
  $("div[role='textbox'][jsname='yrriRe']")
    .not("[aria-label*='Edit message'],[cp-initiated]")
    .each(function () {
      $(this).attr("cp-initiated", "yes");
      $(this).keydown((e) => {
        if (e.keyCode == 13 && !e.shiftKey) {
          messageComposeElement($("div[role='textbox'][jsname='yrriRe']"));
          initiateSmartPreview();
        }
      });
    });

  $(".U26fgb").mousedown(() => {
    messageComposeElement($("div[role='textbox'][jsname='yrriRe']"));
    initiateSmartPreview();
  });

  $(".T2Ybvb").on("paste", onPaste);
  initiateSmartPreview();
}
