function injectLocationSharing() {
  if ($(document).find("li#location").length === 0) {
    $("ul.popOver-ul").prepend(
      ` <li class="popOver-li" id="location" title="Location sharing">
        <svg
          class="popOver-image"
          xmlns="http://www.w3.org/2000/svg"
          height="24"
          width="24"
        >
          <path d="M11 22.95v-2q-3.125-.35-5.362-2.587Q3.4 16.125 3.05 13h-2v-2h2q.35-3.125 2.588-5.363Q7.875 3.4 11 3.05v-2h2v2q3.125.35 5.363 2.587Q20.6 7.875 20.95 11h2v2h-2q-.35 3.125-2.587 5.363Q16.125 20.6 13 20.95v2ZM12 19q2.9 0 4.95-2.05Q19 14.9 19 12q0-2.9-2.05-4.95Q14.9 5 12 5 9.1 5 7.05 7.05 5 9.1 5 12q0 2.9 2.05 4.95Q9.1 19 12 19Zm0-3q-1.65 0-2.825-1.175Q8 13.65 8 12q0-1.65 1.175-2.825Q10.35 8 12 8q1.65 0 2.825 1.175Q16 10.35 16 12q0 1.65-1.175 2.825Q13.65 16 12 16Zm0-2q.825 0 1.413-.588Q14 12.825 14 12t-.587-1.413Q12.825 10 12 10q-.825 0-1.412.587Q10 11.175 10 12q0 .825.588 1.412Q11.175 14 12 14Zm0-2Z" />
        </svg>
      </li>`
    );

    $("li#location").mousedown((event) => {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          event.stopPropagation();
          addAnalytics("location_sharing");

          chrome.runtime.sendMessage({ type: "getTabId" }, (response) => {
            window.open(
              chrome.runtime.getURL(
                `/pages/location/location.html?tabId=${response}`
              ),
              "_blank",
              "width=733,height=572,top=100,left=100"
            );
          });
        }
      });
    });
    $("li#location").hover(() => {
      $(".textTransformPopOver").removeClass("textTransformPopOver-open");
    });
  }
}

chrome.runtime.onMessage.addListener(function (request) {
  if (request.type === "location") {
    const cords = request.cords;

    const messageText = $(".T2Ybvb").text();

    $(".T2Ybvb").text(
      messageText
        ? `${messageText}\nhttps://maps.google.com/maps?q=loc:${cords.lat},${cords.long}`
        : `https://maps.google.com/maps?q=loc:${cords.lat},${cords.long}`
    );
  }
});
