function injectTextTransformer() {
  if ($(document).find("li#text-transform").length == 0) {
    $("ul.popOver-ul").prepend(
      `<li class="popOver-li" id="text-transform" title="Text transform">
        <svg
          class="popOver-image"
          xmlns="http://www.w3.org/2000/svg"
          height="24"
          width="24"
        >
          <path d="M6.4 18h2.1l1.1-3.05h4.8L15.5 18h2.1L13.05 6h-2.1Zm3.8-4.8 1.75-4.95h.1l1.75 4.95ZM4 22q-.825 0-1.412-.587Q2 20.825 2 20V4q0-.825.588-1.413Q3.175 2 4 2h16q.825 0 1.413.587Q22 3.175 22 4v16q0 .825-.587 1.413Q20.825 22 20 22Zm0-2h16V4H4v16ZM4 4v16V4Z" />
        </svg>
        <div class="textTransformPopOver">
          <div class="textTransformPopOver-sub-heading-wrapper">
            <span class="textTransformPopOver-sub-heading">Letter Casing</span>
          </div>
          <ul class="textTransformPopOver-ul">
            <li class="textTransformPopOver-li" id="sentencecase">
              <span>Sentence case</span>
            </li>
            <li class="textTransformPopOver-li" id="lowercase">
              <span>lowercase</span>
            </li>
            <li class="textTransformPopOver-li" id="uppercase">
              <span>UPPERCASE</span>
            </li>
            <li class="textTransformPopOver-li" id="capitalize">
              <span>Capitalize Each Word</span>
            </li>
            <li class="textTransformPopOver-li" id="togglecase">
              <span>toGGle CAse</span>
            </li>
          </ul>
        </div>
      </li>`
    );

    //  Text Transformation
    $("li#text-transform").mousedown((event) => {
      event.stopPropagation();
      event.preventDefault();
      $(".textTransformPopOver").addClass("textTransformPopOver-open");
    });

    // ======================== Lower Casing =====================
    $("li#lowercase").mousedown((event) => {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          event.preventDefault();
          addAnalytics("text_transform");

          const wholeText = $(".T2Ybvb").text();
          const selectedText = getSelectionText();
          const textToTransform = selectedText ? selectedText : wholeText;
          const lowerCaseText = textToTransform.toLowerCase();

          $(".T2Ybvb").html(
            wholeText.replace(
              textToTransform,
              `<span class="selectedText">${lowerCaseText}</span>`
            )
          );
          window
            .getSelection()
            .selectAllChildren(document.querySelector(".selectedText"));
        }
      });
    });

    // ======================== Upper Casing =====================
    $("li#uppercase").mousedown((event) => {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          event.preventDefault();
          addAnalytics("text_transform");
          const wholeText = $(".T2Ybvb").text();
          const selectedText = getSelectionText();
          const textToTransform = selectedText ? selectedText : wholeText;

          const upperCaseText = textToTransform.toUpperCase();

          $(".T2Ybvb").html(
            wholeText.replace(
              textToTransform,
              `<span class="selectedText">${upperCaseText}</span>`
            )
          );
          window
            .getSelection()
            .selectAllChildren(document.querySelector(".selectedText"));
        }
      });
    });

    // ========================  Capitalizing =====================
    $("li#capitalize").mousedown((event) => {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          event.preventDefault();
          addAnalytics("text_transform");
          const wholeText = $(".T2Ybvb").text();
          const selectedText = getSelectionText();
          const textToTransform = selectedText ? selectedText : wholeText;

          const capitalizingText = textToTransform
            .toLowerCase()
            .replace(/\b[a-z]/g, function (letter) {
              return letter.toUpperCase();
            });

          $(".T2Ybvb").html(
            wholeText.replace(
              textToTransform,
              `<span class="selectedText">${capitalizingText}</span>`
            )
          );
          window
            .getSelection()
            .selectAllChildren(document.querySelector(".selectedText"));
        }
      });
    });

    // ======================== Toggle Casing =====================
    $("li#togglecase").mousedown((event) => {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          event.preventDefault();
          addAnalytics("text_transform");
          const wholeText = $(".T2Ybvb").text();
          const selectedText = getSelectionText();
          const textToTransform = selectedText ? selectedText : wholeText;

          const toggleCaseText = textToTransform
            .toUpperCase()
            .split(" ")
            .map(function (word) {
              return word.charAt(0).toLowerCase() + word.slice(1);
            })
            .join(" ");

          $(".T2Ybvb").html(
            wholeText.replace(
              textToTransform,
              `<span class="selectedText">${toggleCaseText}</span>`
            )
          );
          window
            .getSelection()
            .selectAllChildren(document.querySelector(".selectedText"));
        }
      });
    });

    // ======================== Sentence Casing =====================
    $("li#sentencecase").mousedown((event) => {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          event.preventDefault();
          addAnalytics("text_transform");

          const wholeText = $(".T2Ybvb").text();
          const selectedText = getSelectionText();
          const textToTransform = selectedText ? selectedText : wholeText;

          $(".T2Ybvb").html(
            wholeText.replace(
              textToTransform,
              `<span class="selectedText">${convertToSentenceCase(
                textToTransform
              )}</span>`
            )
          );
          window
            .getSelection()
            .selectAllChildren(document.querySelector(".selectedText"));
        }
      });
    });
  }
}
