function injectCopyLink(currentElement) {
  $(currentElement)
    .find("ul.messageContext-ul")
    .append(
      `<li class="messageContext-li copy-link" title="Copy link">
        <svg
          xmlns="http://www.w3.org/2000/svg"
          class="messageContext-svg"
          height="24"
          width="24"
        >
          <path d="M11 17H7q-2.075 0-3.537-1.463Q2 14.075 2 12t1.463-3.538Q4.925 7 7 7h4v2H7q-1.25 0-2.125.875T4 12q0 1.25.875 2.125T7 15h4Zm-3-4v-2h8v2Zm5 4v-2h4q1.25 0 2.125-.875T20 12q0-1.25-.875-2.125T17 9h-4V7h4q2.075 0 3.538 1.462Q22 9.925 22 12q0 2.075-1.462 3.537Q19.075 17 17 17Z" />
        </svg>
      </li>`
    );

  $(currentElement)
    .find("li.copy-link")
    .click(function () {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          addAnalytics("copy_link");
          let cWiz = $(this).closest("c-wiz");
          let messageId = $(cWiz).attr("data-local-topic-id");
          let roomId = $(cWiz).attr("data-p").split('["')[1].split('"')[0];
          let url = `https://chat.google.com/${roomId}/${messageId}`;
          if (copyToClipboard(url.replace("/space/", "/room/"))) {
            showToast("Link copied to clipboard", 2000);
          } else {
            prompt("Copy Link", url.replace("/space/", "/room/"));
          }
        }
      });
    });
}
