function injectQuote(messageContext, currentElement) {
  $(currentElement).find("ul.messageContext-ul")
    .append(`<li class="messageContext-li quote" title="Quote" >
    <svg
      xmlns="http://www.w3.org/2000/svg"
      class="messageContext-svg"
      height="24"
      width="24"
    >
      <path d="M15 11h3V8h-3Zm-9 0h3V8H6Zm9 6 2-4h-4V6h7v7l-2 4Zm-9 0 2-4H4V6h7v7l-2 4Zm1.5-7.5Zm9 0Z" />
    </svg>
  </li>`);

  $(currentElement)
    .find("li.quote")
    .mousedown(function (event) {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          event.preventDefault();
          addAnalytics("quote");

          let selectedText = getSelectionText();

          let fullText = getQuotedMessage(
            $(messageContext).closest("c-wiz").find(".YJxKBc").find("div:first")
          );

          let name = $(currentElement).find(".njhDLd").text();
          let messageTime = $(currentElement)
            .find("span[jsname='E53oB']")
            .attr("data-absolute-timestamp");

          getCOMPOSEBOX(currentElement)
            .find(".quote-preview .message")
            .html(
              `<div><b>${name}</b> wrote at: ${new Date(Number(messageTime))
                .toLocaleString()
                .slice(0, -6)} </div><div style="word-wrap:break-word;">${
                selectedText != "" && fullText.includes(selectedText)
                  ? selectedText.replace("<", "&lt;")
                  : fullText.replace("<", "&lt;")
              }</div>`
            );
          setTimeout(() => {
            getCOMPOSEBOX(currentElement)
              .find(".quote-preview")
              .addClass("active");
            getCOMPOSEBOX(currentElement)
              .find("div[role='textbox'][jsname='yrriRe']")
              .focus();
          }, 50);
        }
      });
    });
}
