function injectReminder(messageContext, currentElement) {
  $(currentElement)
    .find("ul.messageContext-ul")
    .append(
      `<li class="messageContext-li reminder" title="Reminder">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            class="messageContext-svg"
            height="24"
            width="24"
          >
            <path d="M9 3V1h6v2Zm2 11h2V8h-2Zm1 8q-1.85 0-3.488-.712-1.637-.713-2.862-1.938t-1.938-2.862Q3 14.85 3 13t.712-3.488Q4.425 7.875 5.65 6.65t2.862-1.937Q10.15 4 12 4q1.55 0 2.975.5t2.675 1.45l1.4-1.4 1.4 1.4-1.4 1.4Q20 8.6 20.5 10.025 21 11.45 21 13q0 1.85-.712 3.488-.713 1.637-1.938 2.862t-2.862 1.938Q13.85 22 12 22Zm0-2q2.9 0 4.95-2.05Q19 15.9 19 13q0-2.9-2.05-4.95Q14.9 6 12 6 9.1 6 7.05 8.05 5 10.1 5 13q0 2.9 2.05 4.95Q9.1 20 12 20Zm0-7Z" />
          </svg>
        </li>`
    );

  $(currentElement)
    .find("li.reminder")
    .click(function () {
      chrome.runtime.sendMessage({ type: "userToken" }, (userToken) => {
        if (!userToken) {
          showLoginModal();
          return;
        } else {
          addAnalytics("reminder");

          let fullText = getQuotedMessage(
            $(messageContext).closest("c-wiz").find(".YJxKBc").find("div:first")
          ).replaceAll("CP", "");

          let cWiz = $(currentElement).closest("c-wiz");
          let messageId = $(cWiz).attr("data-local-topic-id");
          let roomId = $(cWiz).attr("data-p").split('["')[1].split('"')[0];
          let url = `https://chat.google.com/${roomId}/${messageId}`;
          let messageLink = url.replace("/space/", "/room/");
          let messageTime = $(currentElement)
            .find("span[jsname='E53oB']")
            .attr("data-absolute-timestamp");

          let messageAuthor = $(currentElement).find(".njhDLd").text();

          const timer = Number(prompt("Time to remind (in minutes)"));

          if (timer && !isNaN(timer)) {
            const remindersFromLocalStorage = localStorage.getItem("reminders");
            showToast(
              `You will be reminded in ${timer} minute${timer > 2 ? "s" : ""} `,
              2000
            );

            if (remindersFromLocalStorage !== null) {
              localStorage.setItem(
                "reminders",
                JSON.stringify([
                  ...JSON.parse(remindersFromLocalStorage),
                  {
                    messageLink,
                    message: fullText,
                    timer,
                    messageAuthor,
                    messageTime,
                  },
                ])
              );
            } else {
              localStorage.setItem(
                "reminders",
                JSON.stringify([
                  {
                    messageLink,
                    message: fullText,
                    timer,
                    messageAuthor,
                    messageTime,
                  },
                ])
              );
            }

            const audio = new Audio(
              chrome.runtime.getURL("media/audio/notification.wav")
            );

            for (
              let i = 0;
              i < JSON.parse(localStorage.getItem("reminders")).length;
              i++
            ) {
              const {
                messageLink,
                message,
                timer,
                messageAuthor,
                messageTime,
              } = JSON.parse(localStorage.getItem("reminders"))[i];

              setTimeout(() => {
                audio.play();
                // Reminder dialog box

                $(".ULpLBe").append(
                  `<div class="reminder-container">
                              <div class="reminder-details">
                                <span class="reminder-title">Reminder</span>
                                <span class="reminder-author">${messageAuthor}</span>
                                <span>${new Date(Number(messageTime))
                                  .toLocaleString()
                                  .slice(0, -6)}</span>
                              </div>
                              <span class="reminder-message">${message}</span>
                              <svg
                                class="reminder-svg"
                                version="1.1"
                                id="lni_lni-timer"
                                xmlns="http://www.w3.org/2000/svg"
                                xmlns:xlink="http://www.w3.org/1999/xlink"
                                x="0px"
                                y="0px"
                                viewBox="0 0 64 64"
                                style="enable-background:new 0 0 64 64;"
                                xml:space="preserve"
                              >
                                <g>
                                  <path
                                    d="M33.8,11.9V4.8h6.2c1,0,1.8-0.8,1.8-1.8s-0.8-1.8-1.8-1.8H24.1c-1,0-1.8,0.8-1.8,1.8s0.8,1.8,1.8,1.8h6.2v7.1
                          C17,12.8,6.5,23.8,6.5,37.3c0,14,11.4,25.5,25.5,25.5c14.1,0,25.5-11.4,25.5-25.5C57.5,23.8,47,12.8,33.8,11.9z M32,59.3
                          c-12.1,0-22-9.9-22-22s9.9-22,22-22c12.1,0,22,9.9,22,22S44.1,59.3,32,59.3z"
                                  />
                                  <path
                                    d="M45.2,35.5H33.8V24.1c0-1-0.8-1.8-1.8-1.8c-1,0-1.8,0.8-1.8,1.8v11.4h-3.5c-1,0-1.8,0.8-1.8,1.8s0.8,1.8,1.8,1.8h3.5v3.5
                          c0,1,0.8,1.8,1.8,1.8c1,0,1.8-0.8,1.8-1.8V39h11.4c1,0,1.8-0.8,1.8-1.8S46.2,35.5,45.2,35.5z"
                                  />
                                </g>
                              </svg>
                          
                              <div class="reminder-btns-container">
                                <button class="reminder-btn reminder-cancel">Close</button>
                                <button class="reminder-btn reminder-visit">View</button>
                              </div>
                            </div>`
                );

                $(".reminder-cancel").click(() => {
                  $(".reminder-container").remove();
                });

                $(".reminder-visit").click(() => {
                  const aTag = document.createElement("a");
                  aTag.setAttribute("href", messageLink);
                  aTag.click();
                  aTag.remove();
                  $(".reminder-container").remove();
                });

                const deletedReminder = [
                  ...JSON.parse(localStorage.getItem("reminders")),
                ];
                deletedReminder.splice(i, 1);
                localStorage.setItem(
                  "reminders",
                  JSON.stringify(deletedReminder)
                );
              }, timer * 60000);
            }
          }
        }
      });
    });
}
