function initiateSmartPreview() {
  try {
    const cWizs = document
      .querySelector("div[jsname='yoHpJ']")
      .querySelectorAll(
        "c-wiz[jsname='JT2yOd']:not(.preview-done.message-context-done)"
      );

    for (const elem of cWizs) {
      if (
        $(elem)
          .find(
            "div[aria-label='Add reaction'], div[aria-label='Add Reaction']"
          )
          .parent()
          .next().length === 0
      ) {
        continue;
      }

      injectMessageContextMenu(elem);

      const messageElement = elem.querySelector("div[jsname='bgckF']");
      let message = messageElement.innerText;
      const matchingColors = message.match(/#[a-f0-9]{6}/gi);

      if (matchingColors) {
        matchingColors.forEach((element, index) => {
          message = message.replaceAll(
            matchingColors[index],
            `${matchingColors[index]} <span class="color-preview" style="background:${matchingColors[index]}"></span>`
          );
        });

        messageElement.innerHTML = message;
        elem.classList.add("preview-done");
      } else if (message.includes(".mp3")) {
        const audioElem = document.createElement("audio");
        audioElem.setAttribute("controls", "");
        audioElem.style.display = "block";
        audioElem.style.marginTop = "10px";
        const sourceElem = document.createElement("source");
        const audioUrl = message.match(/(http[^\s]+(.mp3)\b)/)[1];

        sourceElem.setAttribute("src", audioUrl);
        audioElem.append(sourceElem);

        messageElement.append(audioElem);
        elem.classList.add("preview-done");
      }

      elem.classList.add("message-context-done");
    }
  } catch (error) {}
}
